      subroutine t3dpremix (tile)      


      use Agrif_Util
#include "Param_BeforeCall_t3dpremix.h"
      integer(4) :: tile
      

        call Sub_Loop_t3dpremix(tile, Agrif_tabvars_i(8)%iarray0, Agrif_
     &tabvars_i(7)%iarray0, Agrif_tabvars_i(16)%iarray0, Agrif_tabvars_i
     &(15)%iarray0)

      end


#include "Sub_Loop_t3dpremix.h"
      subroutine t3dpremix_tile (Istr,Iend,Jstr,Jend)      


      use Agrif_Util
#include "Param_BeforeCall_t3dpremix_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      

        call Sub_Loop_t3dpremix_tile(Istr,Iend,Jstr,Jend, Agrif_tabvars_
     &i(8)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarr
     &ay0, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agri
     &f_tabvars_i(7)%iarray0, Agrif_tabvars_i(156)%iarray0, Agrif_tabvar
     &s(38)%array5, Agrif_tabvars(42)%array5, Agrif_tabvars(30)%array5, 
     &Agrif_tabvars(49)%array4, Agrif_tabvars(34)%array5, Agrif_tabvars_
     &i(226)%iarray0, Agrif_tabvars_i(230)%iarray0, Agrif_tabvars_i(208)
     &%iarray0, Agrif_tabvars_i(228)%iarray0, Agrif_tabvars_i(231)%iarra
     &y0, Agrif_tabvars_l(13)%larray0, Agrif_tabvars_l(14)%larray0, Agri
     &f_tabvars_l(11)%larray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_t3dpremix_tile.h"
      subroutine interpsponget(tabres,i1,i2,j1,j2,k1,k2,m1,m2,before)      


      use Agrif_Util
#include "Param_BeforeCall_interpsponget.h"
      integer(4) :: i1
      integer(4) :: i2
      integer(4) :: j1
      integer(4) :: j2
      integer(4) :: k1
      integer(4) :: k2
      integer(4) :: m1
      integer(4) :: m2
      logical :: before
      real, dimension(i1:i2,j1:j2,k1:k2,m1:m2) :: tabres
      

        call Sub_Loop_interpsponget(tabres,i1,i2,j1,j2,k1,k2,m1,m2,befor
     &e, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_
     &tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars(4
     &9)%array4, Agrif_tabvars_i(154)%iarray0, Agrif_tabvars(148)%array5
     &, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarray0)

      end


#include "Sub_Loop_interpsponget.h"
